# Slide

This is the base class all slides classes (CoverSlide, QuestionSlide, FeedbackSlide, EndSlide) will extend from.

```javascript
/**
 * Returns the type of the slide Cover, Filter, Info, Form, End
 */
getType()

/**
 * Returns true if this slide is of the type indicated.
 * @param type Cover, Filter, Info, Form, End
 * @returns {boolean}
 */
isType(type)

/**
 * Returns the slide title
 * @returns {string}
 */
getTitle()

/**
 * Resturns the slide subtitle
 * @returns {string}
 */
getSubtitle()

/**
 * Returns the slide content title
 * @returns {string}
 */
getContentTitle()

/**
 * Returns true if the slide has a defined background image
 *
 * @returns {boolean}
 */
hasImage()

/**
 * Returns the slide background image
 * @returns {string}
 */
getImage()

/**
 * Return true if we can go to the next slide.
 * For example, in case of a slide with mandatory question, we can only go to the next slide when an answer is selected.
 *
 * @returns {boolean}
 */
canNext()

/**
 * Return true if we can go back to the previous slide.
 * For example, we can't go back before the first slide.
 *
 * @returns {boolean}
 */
canBack()

/**
 * Return true if we can skip the current slide.
 * For example, a slide with mandatory answers can't be skipped.
 *
 * @returns {boolean}
 */
canSkip()

/**
 * Returns the back button label
 *
 * @returns {String}
 */
getBackLabel()

/**
 * Returns the next button label
 *
 * @returns {String}
 */
getNextLabel()

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.pickzen.com/developers/sdk/documentation/slide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
